﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.C1Report;

namespace XSD_dataSource
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Get File Path
        public string GetFilePath(string FileName)
        {

            string path = Application.StartupPath;
            int pos = path.IndexOf(@"\bin");
            path = path.Substring(0, pos)+"\\"+FileName;

            return path;

        }
        // Load Section Report
       public void LoadActiveReports()
       {
            
                Report _rpt = new Report();
                _rpt.Run();

                viewer1.Document = _rpt.Document;

              
       }


        // Load C1Report
       public void LoadC1Reports()
       {
           // load report definition (before setting the data source)

           c1Report1.Load(GetFilePath("Report.xml"), "Products Report");

           // Set the XSD DataSource
     

           c1Report1.DataSource.ConnectionString = GetFilePath("NWINDDataSet.xsd");

           //  Fill the dataset

           NWINDDataSetTableAdapters.ProductsTableAdapter da = new XSD_dataSource.NWINDDataSetTableAdapters.ProductsTableAdapter();
           da.Fill(nwindDataSet1.Products);
           c1Report1.DataSource.Recordset = nwindDataSet1.Products;
           c1PrintPreviewControl1.Document = c1Report1;
       }

        private void tabControl1_SelectedIndexChanged(object sender, EventArgs e)
        {
            switch (tabControl1.SelectedIndex)
            {

                case 0: LoadActiveReports();
                    break;
                case 1: LoadC1Reports();
                    break;
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            LoadActiveReports();
            
        }
    }
}
